<script>
  function do_csv() {
    var errflg = false;
    //登録前チェック
    var frm = $(".header");
    let tpfile = frm.find(".file_name").val();
    let w_kbn = common.getValue(frm.find(".kbn"));
    common.clearFormError(frm);

    frm.find(".required").each(function (index) {
      var el = $(this);
      wprompt="必須です。";
      // 必須チェック
      if(stringUtil.isEmpty(el.val())) {
        common.addError(el, wprompt, null, true);
        errflg = true;
      }
    });


    if (errflg) {
      alert('エラーがあります');
    } else {
      //入力チェック
      if (stringUtil.isEmpty(tpfile)) {
        alert('ファイルを指定して下さい。');
      } else {
        if( window.confirm('【' + $('#cucd_kbn option:selected').text() + '】の取込みを行います。\nよろしいですか？') ){
          clearDetail();  {*一旦クリア*}
          common.setValue(frm.find(".lcnt1"),"");
          common.setValue(frm.find(".lcnt2"),"");
          common.setValue(frm.find(".lcnt3"),"");
          common.setValue(frm.find(".lcnt4"),"");
          common.setValue(frm.find(".dlcnt1"),"");
          common.setValue(frm.find(".dlcnt2"),"");
          common.setValue(frm.find(".dlcnt3"),"");
          common.setValue(frm.find(".dlcnt4"),"");

          var sendData = {};
          sendData["file_name"] = frm.find(".file_name").val();
          sendData["kbn"] = w_kbn;
          sendData["cucd"] = common.getValue(frm.find(".cucd"));
          sendData["cuscd"] = common.getValue(frm.find(".cuscd"));
          sendData["wseq"] = '';

          common.postData(
            "./doGetCsv.php"
            , sendData
            , function name(data) {
              var d = JSON.parse(data);
              if(d.smode == "0") { // チェックを行わない
                if(d.ret == '9') {
                  alert("該当データがありません。");
                } else {
                  alert('取込みに失敗しました。\nシステム管理者に連絡してください。');
                }
              } else if(d.smode == "1") { // チェック時にエラー発生
                if(d.ret == "1") {
                  frm.find(".wseq").val(d.wseq);
                  common.setValue(frm.find(".lcnt1"),d.lcnt1)
                  common.setValue(frm.find(".lcnt2"),d.lcnt2)
                  common.setValue(frm.find(".lcnt3"),d.lcnt3)
                  common.setValue(frm.find(".lcnt4"),d.lcnt4)
                  common.setValue(frm.find(".dlcnt1"),d.lcnt1)
                  common.setValue(frm.find(".dlcnt2"),d.lcnt2)
                  common.setValue(frm.find(".dlcnt3"),d.lcnt3)
                  common.setValue(frm.find(".dlcnt4"),d.lcnt4)
                  alert("エラーがあります。\nエラーを修正し、再度取込みを行ってください。");
                  //$(".btn-search").trigger("click");
                  dspDetail();
                } else if (d.ret == "9") {
                  alert("該当データがありません。");
                } else {
                  alert('取込みに失敗しました。\nシステム管理者に連絡してください。');
                }
              } else if(d.smode == "2") { //チェック正常終了で取込実行
                if (d.ret == "0") { //取込正常終了
                  frm.find(".wseq").val(d.wseq);
                  common.setValue(frm.find(".lcnt1"),d.lcnt1)
                  common.setValue(frm.find(".lcnt2"),d.lcnt2)
                  common.setValue(frm.find(".lcnt3"),d.lcnt3)
                  common.setValue(frm.find(".lcnt4"),d.lcnt4)
                  common.setValue(frm.find(".dlcnt1"),d.lcnt1)
                  common.setValue(frm.find(".dlcnt2"),d.lcnt2)
                  common.setValue(frm.find(".dlcnt3"),d.lcnt3)
                  common.setValue(frm.find(".dlcnt4"),d.lcnt4)
                  alert("取込みを行いました。");
                  //$(".btn-search").trigger("click");
                  clearDetail();
                } else if (d.ret == "9") {
                  alert("該当データがありません。");
                } else {
                  alert("取込みに失敗しました。\n"+d.msg+"\nシステム管理者に連絡してください。");
                }
              }
              common.setValue($("#com_file_nm"), common.getValue($(".file_filename")));
              common.setValue($(".file_filename"), "");
            }, function name(params) {
              common.setValue($("#com_file_nm"), common.getValue($(".file_filename")));
              common.setValue($(".file_filename"), "");
              alert("取込みに失敗しました。");
            }
          )
        }
      }
    }
    common.setValue($('#js-upload'),"");
    common.setValue(frm.find(".file_name"),"");
  }

function clearDetail() {
  common.clearAllError();
  $("#detail .detail").remove(); {*明細クリア*}
  common.setValue($("#sum_amt"), '0');
  common.setValue($("#com_file_nm"), "");
}

function dspDetail() { {*データ表示*}
  let frm = $("#headerTop");
  var detail = $("#detail").find(".detail");

  clearDetail();  {*一旦クリア*}
  var el = "";

  var container = $(".container");
  sendData = {};
  sendData = common.getContainerInputData(container);

  common.postData(
    "./search.php"
    , sendData
    , function name(data) {
      var d = JSON.parse(data);
      if (d.ret == "0" && d.cnt != '0') {
        {*行作成*}
        d.ret_array.forEach((item, i) => {
          el += af298x_detail.appendRow(item);
        });
        $("#detail").append(el);

      } else {
        {*新規モード*}
        //setOneRow();
      }
    }, function name(params) {
      alert(params.msg);
    }
  )
}

{*明細行用関数*}
var af298x_detail = {
  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
    ' <div class="col wp-100 detail"> ' +
    '<div class="col wp-100 rowinfo detailMain">' +
    '  <div class="item wd-SS inputReadOnly idx number">' + n(d.idx) + '</div>' +
    '  <div class="item wd-600 inputReadOnly err_msg">' + n(d.err_msg) + '</div>' +
    '</div>' +
    '<hr>' +
    ' </div> ';
    return row;
  },
}


  $(document).ready(function(){
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //Functionキー動作設定
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 印刷
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
    });
    //　F6 プレビュー
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      do_csv();
    });
    //　F10
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click');
    });

    /* 明細 高さ 自動設定　*/
    common.setDetailHeight( $("#detail") );

    //=== header ===
    /*
    $(document).on("drowHieght", function(e){
      {if $isNoData eq true}
      {/if}
      {if $hasError eq true}
        alert("{$errorMsg}")
      {/if}
      $(document).off("drowHieght");
    });
    */

    //MENUボタン===============================
    $(document).on("change", "#cucd_kbn", function(e) {
      let frm = $(".header");
      let w_cucd = $("#cucd_kbn option:selected").data("cucd")
      let w_cuscd = $("#cucd_kbn option:selected").data("cuscd")

      if (stringUtil.isEmpty(w_cucd) || stringUtil.isEmpty(w_cuscd)) {
        common.setValue(frm.find(".cucd"), "");
        common.setValue(frm.find(".cunm"), "");
        common.setValue(frm.find(".cuscd"), "");
        common.setValue(frm.find(".spnm"), "");
      } else {
        var sendData = {};
        sendData["cucd"] = w_cucd;
        sendData["cuscd"] = w_cuscd;

        common.postData(
          "./getSpnm.php"
          , sendData
          , function name(data) {
            var d = JSON.parse(data);
            common.setValue(frm.find(".cucd"), w_cucd);
            common.setValue(frm.find(".cunm"), d.cunm);
            common.setValue(frm.find(".cuscd"), w_cuscd);
            common.setValue(frm.find(".spnm"), d.spnm);
          }
          , function (error) {
            alert(error.msg);
          }
        )
      }
    });

    //=== header ===
    //ファイル選択ボタン ----------------------------
    $('#js-selectFile').on('click', 'button', function () {
        common.setValue($('#js-upload'),"");
        $('#js-upload').click();
        return false;
    });
    $('#js-upload').on('change', function() {
//      var sel_file = $(this).val();
        //選択したファイル情報を取得し変数に格納
        var file = $(this).prop('files')[0];
        var sel_file = file['name'];
        //アイコンを選択中に変更
        $('#js-selectFile').find('.icon').addClass('select').html('選択中');
        //未選択→選択の場合（.file_filenameが存在しない場合）はファイル名表示用の<div>タグを追加
        if(!($('.file_filename').length)){
            $('#js-selectFile').append('<div class="file_filename"></div>');
        };
        //ファイル名を表示
        $('.file_filename').html('ファイル名：' + sel_file);
        $('.sel_filename').val(sel_file);
    });
    $('#js-upload').on("setFileName", function(e){  //転送先ファイル名
      $('#js-selectFile').find('.file_name').val( $(this).attr("filename") );
    });

    //--------------------------------------------------


    //=== body ===
    //=== footer ===
    // 初回フォーカス
    $(".header").find(".keycd").focus();

    {if $header.smode eq "2" && $header.cnt3 == 0}
    alert("登録しました。");
    {/if}

  });

</script>
